Subject: Re: bug#58364: [PATCH] Add new function 'file-name-parent-p'
From: Philip Kaludercic <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked]
Date: Sat, 08 Oct 2022 07:21:01 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii <[email-masked]> writes:

>> From: Philip Kaludercic <[email-masked]>
>> Date: Fri, 07 Oct 2022 20:23:27 +0000
>> 
>> Unless I am mistaken, there is no direct function to quickly test if a
>> directory is a super-directory of file.  As I have encountered this
>> issue more than once the last few days of hacking, I would like to
>> propose the below function.
>
> We have file-in-directory-p.  Doesn't that fit the bill?

I hive tried it out and yes that was the function I was looking for.  My
apologies for the noise.